org.apache.tinkerpop.gremlin.driver.handler

## Class WebSocketGremlinResponseDecoder

- java.lang.Object
- - io.netty.channel.ChannelHandlerAdapter
  - - io.netty.channel.ChannelInboundHandlerAdapter
    - - io.netty.handler.codec.MessageToMessageDecoder<io.netty.handler.codec.http.websocketx.WebSocketFrame>
      - - org.apache.tinkerpop.gremlin.driver.handler.WebSocketGremlinResponseDecoder

- All Implemented Interfaces:
    io.netty.channel.ChannelHandler, io.netty.channel.ChannelInboundHandler

      @ChannelHandler.Sharable
      public final class WebSocketGremlinResponseDecoder
      extends io.netty.handler.codec.MessageToMessageDecoder<io.netty.handler.codec.http.websocketx.WebSocketFrame>

  Author:
    Stephen Mallette (http://stephen.genoprime.com)

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from interface io.netty.channel.ChannelHandler

      `io.netty.channel.ChannelHandler.Sharable`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `WebSocketGremlinResponseDecoder(MessageSerializer<?> serializer)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `protected void` | `decode(io.netty.channel.ChannelHandlerContext channelHandlerContext, io.netty.handler.codec.http.websocketx.WebSocketFrame webSocketFrame, List<Object> objects)`

    - ### Methods inherited from class io.netty.handler.codec.MessageToMessageDecoder

      `acceptInboundMessage, channelRead`

    - ### Methods inherited from class io.netty.channel.ChannelInboundHandlerAdapter

      `channelActive, channelInactive, channelReadComplete, channelRegistered, channelUnregistered, channelWritabilityChanged, exceptionCaught, userEventTriggered`

    - ### Methods inherited from class io.netty.channel.ChannelHandlerAdapter

      `ensureNotSharable, handlerAdded, handlerRemoved, isSharable`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

    - ### Methods inherited from interface io.netty.channel.ChannelHandler

      `handlerAdded, handlerRemoved`

- - ### Constructor Detail

    - #### WebSocketGremlinResponseDecoder

          public WebSocketGremlinResponseDecoder(MessageSerializer<?> serializer)

  - ### Method Detail

    - #### decode

          protected void decode(io.netty.channel.ChannelHandlerContext channelHandlerContext,
                                io.netty.handler.codec.http.websocketx.WebSocketFrame webSocketFrame,
                                List<Object> objects)
                         throws Exception

      Specified by:
        `decode` in class `io.netty.handler.codec.MessageToMessageDecoder<io.netty.handler.codec.http.websocketx.WebSocketFrame>`
      Throws:
        `Exception`

Copyright © 2013–2022 Apache Software Foundation. All rights reserved.